
//
// To jest przykładowy kod z podrozdziału 12.7.3 "Axis" książki
// "Programowanie. Teoria i praktyka z wykorzystaniem C++" Bjarne'a Stroustrupa.
//

#include "Simple_window.h"    // Dla przycisku „Next”.
#include "Graph.h" 
#include "std_lib_facilities.h"

using namespace Graph_lib;

//------------------------------------------------------------------------------

int main ()
try
{ 
    Point tl(100,100);          // Lewy górny róg naszego okna.

    Simple_window win(tl,600,400,"Kanwa");
    // Współrzędna ekranu tl określająca położenie lewego górnego rogu okna.
    // Rozmiar okna 600*400.
    // Tytuł: Kanwa.

    Axis xa(Axis::x, Point(20,300), 280, 10, "oś x"); // Tworzy oś.
    // Oś jest rodzajem figury.
    // Axis::x oznacza oś poziomą.
    // Początek w punkcie (20,300),
    // długość 280 pikseli,
    // 10 kresek podziałki,
    // etykieta „oś x”.

    win.attach(xa);             // Wiąże oś xa z oknem win.
    win.set_label("Canvas #2"); // Zmiana etykiety okna
    win.wait_for_button();      // Wyświetl!
} 
catch(exception& e) {
    // Raport o błędzie.
    return 1;
}
catch(...) {
    // Raport o błędzie.
    return 2;
}

//------------------------------------------------------------------------------
